Hooks:PostHook( WeaponFactoryTweakData, "init", "stanmag249modInit", function(self)
	if not self.wpn_fps_lmg_m249.override then
		self.wpn_fps_lmg_m249.override = {}
	end
	
	self.wpn_fps_lmg_m249.override.wpn_fps_m4_uupg_m_std = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 30, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy" },
		a_obj = "a_stanmag"
	}
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m4_m_l5 = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 34, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m4_m_quad = {
		stats = { reload = 7, spread_moving = 1, concealment = 4, spread = 1, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 60, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
	    adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}
	self.wpn_fps_lmg_m249.override.wpn_fps_m4_upg_m_quick = {
		stats = { reload = 11, spread_moving = 1, concealment = 5, recoil = -1, spread = 1 },
		override_weapon = {CLIP_AMMO_MAX = 30, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m4_m_pmag = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 34, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m4_m_straight = {
		stats = { reload = 8, spread_moving = 1, concealment = 8, spread = 2, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 22, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}
	self.wpn_fps_lmg_m249.override.wpn_fps_ass_l85a2_m_emag = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 34, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_m4_m_straight")
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_m4_m_pmag")
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_ass_l85a2_m_emag")
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_m4_uupg_m_std")
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_m4_m_l5")
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_m4_upg_m_quick")
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_m4_m_quad")
--AR-15 20 Round Magazine
if self.parts.wpn_fps_upg_m4_m_20rnd then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m4_m_20rnd = {
		stats = { reload = 9, spread_moving = 1, concealment = 8, spread = 2, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 20, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_m4_m_20rnd")	
end
--PMAG with Rangerplate
if self.parts.wpn_fps_upg_m_pmag then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_pmag = {
		stats = { reload = 10, spread_moving = 1, concealment = 5, spread = 2, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 32, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_m_pmag")	
end
--X-15 50 Round Drum Magazine
if self.parts.wpn_fps_upg_m4_m_x15drum then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m4_m_x15drum = {
		stats = { reload = 7, spread_moving = 1, concealment = 3, spread = 2, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 50, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_m4_m_x15drum")	
end
--Vanilla Mod Pack
if self.parts.wpn_fps_ass_m4_m_wick then
	self.wpn_fps_lmg_m249.override.wpn_fps_ass_m4_m_wick = {
		stats = { reload = 8, spread_moving = 1, concealment = 9, spread = 2, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 20, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_ass_m4_m_wick")	
end
if self.parts.wpn_fps_m4_uupg_m_extend then
	self.wpn_fps_lmg_m249.override.wpn_fps_m4_uupg_m_extend = {
		stats = { reload = 8, spread_moving = 1, concealment = 4, spread = 2, recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 40, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_m4_uupg_m_extend")	
end
--Surefire MAG5-100
if self.parts.wpn_fps_upg_m_quad100 then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_quad100 = {
		stats = { reload = 5, spread_moving = 1, concealment = 3, spread= -1 , recoil = -1 },
		override_weapon = {CLIP_AMMO_MAX = 100, shell_ejection = "effects/payday2/particles/weapons/shells/shell_556" },
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
	table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_m_quad100")	
end
--Tacticool Magazines Pack
if self.parts.wpn_fps_upg_m_dura then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_dura = {
		stats = { reload = 8, spread_moving = 1, concealment = 7, spread = 2, recoil = -1},
		override_weapon = { CLIP_AMMO_MAX = "30", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_d60 then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_d60 = {
		stats = { reload = 8, spread_moving = 1, concealment = 2, spread = 2, recoil = -1 },
		override_weapon = { CLIP_AMMO_MAX = "60", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_p10 then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_p10 = {
		stats = { reload = 8, spread_moving = 1, concealment = 9, spread = 2, recoil = -1},
		override_weapon = { CLIP_AMMO_MAX = "10", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_p20 then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_p20 = {
		stats = { reload = 8, spread_moving = 1, concealment = 7, spread = 2, recoil = -1},
		override_weapon = { CLIP_AMMO_MAX = "20", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_p30 then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_p30 = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2 },
		override_weapon = { CLIP_AMMO_MAX = "30", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_p30w then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_p30w = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2 },
		override_weapon = { CLIP_AMMO_MAX = "30", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_p40 then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_p40 = {
		stats = { reload = 8, spread_moving = 1, concealment = 5, spread = 2, recoil = -1},
		override_weapon = { CLIP_AMMO_MAX = "40", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_battle then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_battle = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2 },
		override_weapon = { CLIP_AMMO_MAX = "30", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_dura then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_dura = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2, recoil = -1},
		override_weapon = { CLIP_AMMO_MAX = "30", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_dura then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_dura = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2, recoil = -1},
		override_weapon = { CLIP_AMMO_MAX = "30", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_poly then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_poly = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2 },
		override_weapon = { CLIP_AMMO_MAX = "30", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_hksteel then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_hksteel = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2 },
		override_weapon = { CLIP_AMMO_MAX = "30", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_gen2 then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_gen2 = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2 },
		override_weapon = { CLIP_AMMO_MAX = "30", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_lanc then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_lanc = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2 },
		override_weapon = { CLIP_AMMO_MAX = "30", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
if self.parts.wpn_fps_upg_m_dmmag then
	self.wpn_fps_lmg_m249.override.wpn_fps_upg_m_dmmag = {
		stats = { reload = 8, spread_moving = 1, concealment = 6, spread = 2 },
		override_weapon = { CLIP_AMMO_MAX = "32", shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"},
		override = { wpn_fps_lmg_m249_upper_reciever = { animations = {} }},
		adds = {"wpn_fps_lmg_m249_m_dummy"},
		a_obj = "a_stanmag"
	}	
end
end )